# Generated by Django 4.0 on 2022-07-12 21:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('clients', '0001_initial'),
        ('banks', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Credit',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(help_text='Descripción del crédito', verbose_name='Descripción')),
                ('minimum_payment', models.DecimalField(decimal_places=2, help_text='Pago mínimo del crédito', max_digits=20, verbose_name='Pago mínimo')),
                ('maximum_payment', models.DecimalField(decimal_places=2, help_text='Pago máximo del crédito', max_digits=20, verbose_name='Pago máximo')),
                ('term_months', models.PositiveIntegerField(help_text='Plazo en meses del crédito', verbose_name='Plazo en meses')),
                ('register_date', models.DateField(auto_now_add=True, help_text='Fecha de registro del crédito', verbose_name='Fecha de registro')),
                ('credit_type', models.CharField(blank=True, choices=[('AUT', 'AUTOMOTRIZ'), ('HIP', 'HIPOTECARIO'), ('COM', 'COMERCIAL')], help_text='Tipo de crédito', max_length=3, null=True, verbose_name='Tipo')),
                ('bank', models.ForeignKey(help_text='Banco que otorga el crédito', on_delete=django.db.models.deletion.PROTECT, to='banks.bank', verbose_name='Banco')),
                ('client', models.ForeignKey(help_text='Cliente del credito', on_delete=django.db.models.deletion.PROTECT, to='clients.client', verbose_name='Cliente')),
            ],
            options={
                'ordering': ['id'],
            },
        ),
    ]
